import './card-proj-jump.css';
import {ExportOutlined} from '@ant-design/icons';
import {IProjJump} from "../../interfaces/card/ICardProj.ts";

export default function CardProjJump(props: IProjJump) {
    return (
        <div className="card-proj-jump" onClick={() => {
            if(!props.canBtnClick) {
                return;
            }
            props.handleJump();
        }}>
            <div className="title">
                <span className="label">{props.title}</span>
                <ExportOutlined style={{color: 'var(--color-note)'}}/>
            </div>
            <div className="desc">{props.desc}</div>
        </div>
    )
}